from abc import ABC, abstractmethod
from typing import List


class BaseTranslator(ABC):
    @abstractmethod
    def translate_blocks(
        self,
        texts: List[str],
        source_lang: str = "auto",
        target_lang: str = "da",
    ) -> List[str]:
        pass
